Package org.opensaml.soap.client.security

# Class SOAPClientSecurityProfileIdLookupFunction

java.lang.Object
org.opensaml.soap.client.security.SOAPClientSecurityProfileIdLookupFunction

All Implemented Interfaces:
  `Function<MessageContext,String>`, `ContextDataLookupFunction<MessageContext,String>`

public class SOAPClientSecurityProfileIdLookupFunction extends Object implements ContextDataLookupFunction<MessageContext,String>
Function to resolve SOAP client security profile ID from message context.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Function<MessageContext,SOAPClientSecurityContext>`
`soapContextLookup`
Lookup function for `SOAPClientSecurityContext`.

## Constructor Summary

Constructors
Constructor
Description
`SOAPClientSecurityProfileIdLookupFunction()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(MessageContext messageContext)`
`void`
`setSOAPClientSecurityContextLookup(Function<MessageContext,SOAPClientSecurityContext> lookup)`
Set lookup function for for `SOAPClientSecurityContext`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### soapContextLookup

@Nonnull private Function<MessageContext,SOAPClientSecurityContext> soapContextLookup
Lookup function for `SOAPClientSecurityContext`.

## Constructor Details

### SOAPClientSecurityProfileIdLookupFunction

public SOAPClientSecurityProfileIdLookupFunction()
Constructor.

## Method Details

### setSOAPClientSecurityContextLookup

public void setSOAPClientSecurityContextLookup(@Nonnull Function<MessageContext,SOAPClientSecurityContext> lookup)
Set lookup function for for `SOAPClientSecurityContext`.

Parameters:
  `lookup` - the lookup function

### apply

@Nullable public String apply(@Nullable MessageContext messageContext)

Specified by:
  `apply` in interface `Function<MessageContext,String>`